import os
import cv2
import numpy as np
import random

folders = ['zero_to_twenty', 'twenty_to_forty', 'forty_to_sixty', 'sixty_plus']
ages = {'zero_to_twenty':[3, 7, 11, 16],
        'twenty_to_forty':[22, 27, 32, 36],
        'forty_to_sixty':[42, 47, 51, 56],
        'sixty_plus':[62, 67, 72, 83]}

for fol in folders[3:]:

    tile = np.ones((200, 800, 3)) * 255

    for i, age in enumerate(ages[fol]):

        curr_files = [x for x in os.listdir(fol) if x.split('_')[0] == str(age)]
        random.shuffle(curr_files)
        img = cv2.imread(fol + '/' + curr_files[0])
        # print(len(curr_files), age)
        tile[:, 200*i:200*(i+1),:] = img

    cv2.imwrite('{}.png'.format(fol), tile)
